Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156446 - Xen breaks PCMCIA
Summary: Xen breaks PCMCIA
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 179599
TreeView+ depends on / blocked
 
Reported: 2005-04-30 13:40 UTC by Andreas Pfaffeneder
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-02 12:40:27 UTC


Attachments (Terms of Use)

Description Andreas Pfaffeneder 2005-04-30 13:40:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; de-DE; rv:1.7.6) Gecko/20050321 Firefox/1.0.2

Description of problem:
Booting the xen enabled kernel breaks insertation detection of PCMCIA-cards - the same kernel revision without xen support works just fine.

Toshiba Satellite 3000-315

lspci: 
00:00.0 Host bridge: Intel Corporation 82830 830 Chipset Host Bridge (rev 02)
00:01.0 PCI bridge: Intel Corporation 82830 830 Chipset AGP Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #1) (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #2) (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #3) (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 41)
00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 (rev 01)
00:1f.3 SMBus: Intel Corporation 82801CA/CAM SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corporation 82801CA/CAM AC'97 Modem Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 Go] (rev b2)
02:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
02:04.0 CardBus bridge: Texas Instruments PCI1420
02:04.1 CardBus bridge: Texas Instruments PCI1420
02:06.0 System peripheral: Toshiba America Info Systems TC6371AF SmartMedia Controller (rev 02)
07:00.0 Network controller: Intersil Corporation Intersil ISL3890 [Prism GT/Prism Duette] (rev 01)

Version-Release number of selected component (if applicable):
kernel-xen0-2.6.11-1.1275_FC4, pcmcia-cs-3.2.8-4.12

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel
2. insert pcmcia-card
3.
  

Actual Results:  Card was not detected at all

Expected Results:  Card(s) should be detected

Additional info:

Comment 1 Andreas Pfaffeneder 2005-04-30 19:50:53 UTC
Problem persists with kernel-xen0-2.6.11-1.1276_FC4

Cardctl status indicates that there´s a card plugged in, but it is not powered
on/firmware is not load (Netgear WG511 v2)

Comment 2 Andreas Pfaffeneder 2005-05-03 20:28:39 UTC
same for 1282

Comment 3 Andreas Pfaffeneder 2005-05-03 20:51:59 UTC
I´ll test http://sourceforge.net/mailarchive/message.php?msg_id=9923531 and
following the next days and report back if that is problems resolution.

Comment 4 Stephen Tweedie 2006-01-24 23:31:01 UTC
Did it help?  If not, does current FC5test2 or rawhide help?  (That contains a
significantly updated hypervisor/kernel combination.)  Thanks.


Comment 5 Andreas Pfaffeneder 2006-01-25 09:40:41 UTC
can´t test, hardware broken.

Comment 7 Christian Iseli 2007-01-22 11:28:06 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 8 Andreas Pfaffeneder 2007-01-22 20:26:51 UTC
As mentioned: The hardware (read: the notebook) is broken. No chance to test
that problem at all.

Comment 9 Stephen Tweedie 2007-02-02 12:40:27 UTC
OK, please reopen if you are able to reproduce again.



Note You need to log in before you can comment on or make changes to this bug.